%define upstream_name    Apache2-ModSSL
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 17

Summary:    Apache2::ModSSL - a Perl Interface to mod_ssl functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/O/OP/OPI/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Apache2-ModSSL-0.10-add_apxs_includedir.patch

BuildRequires: perl(Apache::TestConfig)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(mod_perl2)
BuildRequires: perl-devel
BuildRequires: apache-devel
BuildRequires: apache-mod_perl
BuildRequires: apache-mod_perl-devel
BuildRequires: apache-mod_ssl

%description
Perl interface to mod_ssl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
#%{__perl} Makefile.PL INC="-I`%{_sbindir}/apxs -q INCLUDEDIR` `apr-1-config --includes` `apu-1-config --includes`" INSTALLDIRS=vendor
#%{__perl} Makefile.PL -apxs %{_sbindir}/apxs INSTALLDIRS=vendor
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

#export APACHE_TEST_HTTPD="%{_sbindir}/httpd"
#make test

%install
%make_install

%files
%doc Changes META.yml README
%dir %{perl_vendorarch}/auto/Apache2/ModSSL
%{perl_vendorarch}/auto/Apache2/ModSSL/ModSSL.so
%{perl_vendorarch}/Apache2/ModSSL.pm
%{_mandir}/*/*


%changelog
* Thu Jun 18 2020 umeabot <umeabot> 0.100.0-17.mga8
+ Revision: 1596052
- Rebuild for perl 5.32
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.100.0-15.mga8
+ Revision: 1529274
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.100.0-14.mga8
+ Revision: 1433328
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.100.0-13.mga7
+ Revision: 1290971
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.100.0-12.mga7
+ Revision: 1250419
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.100.0-11.mga7
+ Revision: 1162954
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.100.0-10.mga7
+ Revision: 1150072
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.100.0-9.mga7
+ Revision: 1126578
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-8.mga6
+ Revision: 1022511
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.100.0-7.mga6
+ Revision: 956676
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.100.0-6.mga6
+ Revision: 844179
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 742611
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 683504
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.100.0-3.mga5
+ Revision: 632403
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 525600
- Mageia 4 Mass Rebuild

* Fri May 31 2013 jquelin <jquelin> 0.100.0-1.mga4
+ Revision: 433749
- patching Makefile.PL to query apxs includedir
- trying INC in Makefile.PL ARGV
- trying CFLAGS
- adding extra INC hint
- apxs is now located in /usr/bin
- update to 0.10
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.80.0-2.mga3
+ Revision: 250266
- rebuild for perl 5.16

* Wed Jun 22 2011 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 112223
- adding missing buildrequires:
- update to 0.08

* Sat Jun 11 2011 sander85 <sander85> 0.70.0-4.mga2
+ Revision: 103952
- perl 5.14
+ jquelin <jquelin>
- perl 5.14

* Tue Jan 25 2011 jquelin <jquelin> 0.70.0-2.mga1
+ Revision: 38355
- adding missing buildrequires:
- mageia rebuild
- imported package perl-Apache2-ModSSL


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-2mdv2011.0
+ Revision: 555666
- rebuild

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.0
+ Revision: 402971
- rebuild using %%perl_convert_version

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2009.1
+ Revision: 300643
- nouvelle version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.06-2mdv2009.0
+ Revision: 268367
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2009.0
+ Revision: 195210
- new version

* Mon Jan 14 2008 Thierry Vignaud <tv@mandriva.org> 0.03-3mdv2008.1
+ Revision: 151815
- rebuild

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-2mdv2008.1
+ Revision: 138099
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.03-1mdv2007.0
+ Revision: 73256
- import perl-Apache2-ModSSL-0.03-1mdv2007.0

* Thu Sep 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.03-1mdv2007.0
- rebuild
- disable the tests for now

* Sat Jul 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.03-1mdk
- initial Mandriva package

